SystemOrganization addCategory: #ScriptLoader!

!MCWorkingCopy methodsFor: '*scriptloader' stamp: 'sd 3/24/2008 17:13'!
theCachedRepository

	^ MCCacheRepository default! !

!MCVersionLoader methodsFor: '*scriptloader' stamp: 'sd 3/16/2008 08:53'!
hasVersions

	^ versions isEmpty not! !

Object subclass: #ScriptLoader
	instanceVariableNames: 'repository inboxRepository repository39 repositorySqueakTrunk repository310 repositoryTaskForces repositoryMC repositoryTreated'
	classVariableNames: 'CurrentMajorVersionNumber CurrentScriptVersionNumber CurrentUpdateVersionNumber LogStream PackagesBeforeLastLoad Repository'
	poolDictionaries: ''
	category: 'ScriptLoader'!

!ScriptLoader commentStamp: 'DamienCassou 12/4/2009 15:44' prior: 0!
Pharo Process Description

To change the release stream
	ScriptLoader toPharoOne
	ScriptLoader toPharoOneDotOne

---
In the idea that more people will be able to integrate


Here is the pharo process.
An enhancement
	- should be added to the bug tracker
	- announced to the mailing-list
	- asked for feedback 
	- results should be added to the BT entry

Fixed tag means ready for integration
Closed tag means integrated

A bug detected
	- discuss via the mailing-list
	- should be added to the bug tracker
	- fix are considered as enh (see point above)

When a fix is fixed it should be either post as cs to the BT entry or in the PharoInbox
as a Slice (a slice is an emtpy package that has as requirement other package composing the fix).

We have three project:
	Pharo
	PharoInbox
	PharoTreatedInbox

A fix goes either from inbox to treatedInbox or to Pharo.
If a fix does not work it is moved to the TreatedInbox.
If a fix works it is integrated as follow - it will be moved from the Inbox to the TreatedInbox
and integrated and published in the Pharo project

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Now the integration works as 4 steps which can be steered by the following 
ScriptLoader releaseMenu

1.) Start up a recent and clean image
	ScriptLoader new prepareNewUpdate
	
	This step will 
		- load the latest updates
		- load the latest ScriptLoader package from the Pharo repository.
		Indeed when we work on improving the ScriptLoader it is useful to always have the last one
		and new versions can be available on the server but not part of the latest updates.
		- check that the update.list (which contains the cs to load the packages) is in sync
		with the image current version. 
		     scp -p LOGIN@scm.gforge.inria.fr:/home/groups/pharo/htdocs/updates/pharo1.0/updates.list .
		  or
			scp -p LOGIN@scm.gforge.inria.fr:/home/groups/pharo/htdocs/updates/pharo1.1/updates.list .
		- snapshot the package version to detect dirty or changed but non dirty packages.

2.) Apply changes

	ScriptLoader new doneApplyingChanges
	
	This step will 
		- create an update method with can trigger to load of the packages and some pre/post action
		- create a script method with describes all the package versions and it used by the update
		- save all the packages that are different (except some filtered packages)	
		into a local folder named package-to-be-tested.
		

3.) Verify changes
	==> in a ***new*** image (in the current folder) execute:
	ScriptLoader new verifyNewUpdate

	This step will 
		- load in any order (so may break) the package previously saved
		in the packages to be tested.
		

4.) If there are problems go to 2.) to fix them, else:
	ScriptLoader new publishChanges

	This step will
		- generate a new cs whose purpose is to load the given version of the scriptloader and trigger the 
		correct update method.
		- add the name of the cs file to the end of the updates.list file local to the disc
		- copy all the package from the local directory to the Pharo
		
	After the updates.list and the cs file should be manually uploaded to the ftp (see below) 
	   scp "$1" LOGIN@scm.gforge.inria.fr:/home/groups/pharo/htdocs/updates/pharo1.0
	



CurrentMajorVersionNumber should contains a string '1.0', '1.1'....
This string will determine on which folder on the server the updates.list should be loaded.
	i.e., updates/pharo1.0, updates/pharo1.1 ....

!

!ScriptLoader class methodsFor: 'public' stamp: 'StephaneDucasse 10/18/2009 17:15'!
currentMajorVersionNumber

	^ CurrentMajorVersionNumber ! !

!ScriptLoader class methodsFor: 'public' stamp: 'StephaneDucasse 10/18/2009 17:12'!
currentMajorVersionNumber: aNumber

	CurrentMajorVersionNumber := aNumber! !

!ScriptLoader class methodsFor: 'private' stamp: 'adrian_lienhard 3/16/2009 21:32'!
defaultMCWaitingFolder
	"self defaultMCWaitingFolder" 
	
	^ MCDirectoryRepository new directory: self waitingCacheFolder! !

!ScriptLoader class methodsFor: 'loadscripts' stamp: 'stephane.ducasse 7/20/2009 11:31'!
gofer
	^ Smalltalk at: #Gofer ifAbsent: [ self new installGofer; gofer ]! !

!ScriptLoader class methodsFor: 'loadscripts' stamp: 'StephaneDucasse 10/18/2009 17:20'!
initialize

	CurrentMajorVersionNumber :=  1.0! !

!ScriptLoader class methodsFor: 'loadscripts' stamp: 'MarcusDenker 12/9/2009 10:15'!
loadFFI
	self new installer monticello http: 'source.squeakfoundation.org'; 
		project: 'FFI'; 
		install: 'FFI-Pools';
		install: 'FFI-Kernel';
		install: 'FFI-Tests';
		install: 'FFI-Examples'.		
	(Smalltalk at: #ExternalType) initialize.
	(Smalltalk at: #ExternalStructure) compileAllFields.	
	Smalltalk recreateSpecialObjectsArray.! !

!ScriptLoader class methodsFor: 'private' stamp: 'al 11/1/2008 20:03'!
loadLatestPackage: aString from: aPath
	| repository |
	
	repository := MCHttpRepository
		location: aPath
		user:  ''
		password: ''.
	self loadLatestPackage: aString fromRepository: repository! !

!ScriptLoader class methodsFor: 'private' stamp: 'stephane.ducasse 4/13/2009 21:09'!
loadLatestPackage: aString fromRepository: aRepository
	| versionsBlock versions tries version |
	
	versionsBlock := [ (aRepository allVersionNames select: [ :each |
		each beginsWith: aString ])
		asSortedCollection: [ :a :b |
			(a copyAfterLast: $.) asNumber <= (b copyAfterLast: $.) asNumber]].
	versions := versionsBlock value.
	tries := 0.
	[ versions isEmpty and: [ tries < 3 ] ] whileTrue: [
		versions := versionsBlock value.
		tries := tries + 1 ].
	versions isEmpty ifTrue: [ self error: 'problems when accessing squeaksource' ].
	
	aRepository versionReaderForFileNamed: (versions last , '.mcz') do: [:reader |
		version := reader version.
		version load.
		version workingCopy repositoryGroup addRepository: aRepository]! !

!ScriptLoader class methodsFor: 'private' stamp: 'AlexandreBergel 10/23/2008 15:31'!
loadLatestPackage: aString fromSqueaksource: aDirectoryName
	" self loadLatestPackage: 'ScriptLoader' fromSqueaksource: 'Pharo' "

	self loadLatestPackage: aString from: 'http://www.squeaksource.com/', aDirectoryName
	! !

!ScriptLoader class methodsFor: 'loadscripts' stamp: 'AdrianLienhard 11/3/2009 22:17'!
loadSeaside30
	"self loadSeaside30"
	
 	[ self gofer new
        squeaksource: 'Seaside30';
        addPackage: 'LoadOrderTests';
        load ]
                valueSupplyingAnswers: {
                        {'Load Seaside'. true}.
                        {'SqueakSource User Name'. ''}.
                        {'SqueakSource Password'. ''}.
                        {'Run tests'. false}.
                }.
		
	"Set up to development environment (enables seaside web toolbar) "
	(self environment at: #WAAdmin) applicationDefaults 
		addParent: (self environment at: #WADevelopmentConfiguration) instance.
	
	(self environment at: #WASqueakServerAdaptorBrowser) open! !

!ScriptLoader class methodsFor: 'private' stamp: 'sd 3/24/2008 20:59'!
packageToBeTestedFolderName

	^ 'packages-to-be-tested'! !

!ScriptLoader class methodsFor: 'public' stamp: 'damiencassou 7/2/2009 21:37'!
releaseMenu
	"self releaseMenu"
	|symbol|
	symbol := UIManager default
		chooseFrom: #('1- Prepare new update'
						'2- Done applying changes'
						'3- Verify new update (other image, same folder)'
						'4- Publish changes')
		values: #(prepareNewUpdate doneApplyingChanges verifyNewUpdate publishChanges).
	symbol ifNotNil: [ScriptLoader new perform: symbol]! !

!ScriptLoader class methodsFor: 'public' stamp: 'adrian-lienhard 6/6/2009 11:46'!
resetLogStream
	LogStream := nil! !

!ScriptLoader class methodsFor: 'public' stamp: 'StephaneDucasse 10/18/2009 17:14'!
toPharoOne

	self currentMajorVersionNumber: 1.0! !

!ScriptLoader class methodsFor: 'public' stamp: 'StephaneDucasse 10/18/2009 17:14'!
toPharoOneDotOne

	self currentMajorVersionNumber: 1.1! !

!ScriptLoader class methodsFor: 'private' stamp: 'adrian-lienhard 6/6/2009 11:47'!
waitingCacheFolder
	^ (FileDirectory default directoryNamed: self packageToBeTestedFolderName)
		assureExistence;
		yourself

	! !

!ScriptLoader methodsFor: 'public' stamp: 'DamienCassou 10/6/2009 10:04'!
CSForLastUpdate: aString
	"ScriptLoader new CSForLastUpdate: 'cleanUpMethods'"
	
	| str updateNumber filename|
	updateNumber := self getLatestUpdateNumber.
	filename := updateNumber asString, '-Pha-', aString, '.cs'.
	str := FileDirectory default 
				forceNewFileNamed:  filename.
	self 
		generateCS: self latestScriptLoaderPackageIdentificationString
		fromUpdate: updateNumber on: str.
	str close.
	^ filename! !

!ScriptLoader methodsFor: 'public' stamp: 'DamienCassou 10/6/2009 10:04'!
CSForLastUpdateAndPatchUpdatesList: aString
	"ScriptLoader new CSForLastUpdateAndPatchUpdatesList: 'cleanUpMethods'"
	| filename |
	filename := self CSForLastUpdate: aString.
	self updateUpdatesList: aString.
	^ filename! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 9/26/2009 07:46'!
addExtraRepositories
	
	"self new addExtraRepositories"
	
	self addRepository39ToAllPackages.
	self addRepository310ToAllPackages.
	self addRepositoryTaskForcesToAllPackages.
	self addRepositorySqueakTrunkToAllPackages.
	self addRepositoryMCToAllPackages.
	self addRepositoryTreatedToAllPackages.! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 18:10'!
addHomeRepositoryToAllPackages
	"self new removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/')"
	"self new addHomeRepositoryToAllPackages"
	
	MCWorkingCopy allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repository;
			 addRepository: self inboxRepository].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 17:40'!
addHomeRepositoryToPackageNamed: aString
	
	|pa|
	pa := MCPackage named: aString.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 10/18/2009 16:11'!
addPackage: aString
	"to be tested" 
	
	| workingCopy |
	PackageInfo registerPackageName: aString.
	workingCopy := MCWorkingCopy forPackage: (MCPackage new name: aString)! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 9/13/2009 15:48'!
addRepository310ToAllPackages
	"self new addRepository310ToAllPackages"
	
	MCWorkingCopy allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repository310
			].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 9/6/2009 17:38'!
addRepository39ToAllPackages
	"self new removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/')"
	"self new addRepository39ToAllPackages"
	
	MCWorkingCopy allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repository39
			].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 9/14/2009 10:31'!
addRepositoryMCToAllPackages
	
	"self new addRepositoryMCToAllPackages"
	
	MCWorkingCopy allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repositoryMC
			].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 9/10/2009 20:47'!
addRepositorySqueakTrunkToAllPackages
	"self new removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/')"
	"self new addRepositorySqueakTrunkToAllPackages"
	
	MCWorkingCopy allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repositorySqueakTrunk
			].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 9/13/2009 15:59'!
addRepositoryTaskForcesToAllPackages
	"self new addRepositoryTaskForcesToAllPackages"
	
	MCWorkingCopy allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repositoryTaskForces
			].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 10/31/2005 18:01'!
addRepositoryToPackageNamed: aString
	
	|pa|
	pa := MCPackage named: aString.
	pa workingCopy repositoryGroup addRepository: self repository.
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'StephaneDucasse 9/26/2009 07:46'!
addRepositoryTreatedToAllPackages
	"self new addRepositoryTreatedToAllPackages"
	
	MCWorkingCopy allManagers do: [:each | 
		each repositoryGroup
			 addRepository: self repositoryTreated
			].
	
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:15'!
allCurrentDirtyPackages
	"ScriptLoader new allCurrentDirtyPackages"
	"return all the current dirty packages even the ones that we do not want to save"

	
	^  self allCurrentPackages select: [:each | each needsSaving].

	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 6/30/2008 15:15'!
allCurrentPackages
	"ScriptLoader new allCurrentPackages" 
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'adrianLienhard 11/1/2008 22:50'!
allCurrentVersions
	"self new allCurrentVersions"
	
	| copies names |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	names := copies collect:
		[:ea |  ea ancestry ancestorString ].
	^ names reject: #isEmpty! !

!ScriptLoader methodsFor: 'private' stamp: 'DamienCassou 9/8/2009 14:48'!
announceOnMailingList
	"
	self new announceOnMailingList"
	|title|
	title := '[update] #', self currentUpdateVersionNumber asString.
UIManager default
	edit: title, String cr, self currentUpdateVersionNumber asString, '
-----

', self commentForCurrentUpdate
	label: title.! !

!ScriptLoader methodsFor: 'private' stamp: 'michael.rueger 1/13/2009 16:34'!
buildConfigurationMapFor: packageNames

	| configurationMap version depArray |
	configurationMap := MCConfiguration new.
	configurationMap repositories
		add: self repository;
		add: self inboxRepository.

	packageNames do: [:packageName |
		version := self loadVersionFromFileNamed: packageName.
		depArray := { version package name. version info name. version info id asString. }.
		configurationMap dependencies add: (MCConfiguration dependencyFromArray: depArray)].
	^configurationMap! !

!ScriptLoader methodsFor: 'public - update' stamp: 'd 8/8/2009 11:46'!
checkImageIsUptodate
	| stream last number |
	stream := FileDirectory default oldFileNamed: 'updates.list'.
	stream contents linesDo: [ :each | last := each ].
	stream close.
	number := (last copyUpTo: $-) asNumber.
	^ number = self getLatestUpdateNumber ! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'sd 7/15/2006 20:45'!
cleanUpChanges
	"Clean up the change sets"
	"self new cleanUpChanges"
	
	| projectChangeSetNames |
	"Delete all changesets except those currently used by existing projects."
	projectChangeSetNames := Project allSubInstances collect: [:proj | proj changeSet name].
	ChangeSet removeChangeSetsNamedSuchThat:
		[:cs | (projectChangeSetNames includes: cs) not].
! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'adrian.lienhard 8/13/2009 21:05'!
cleanUpForProduction
	| oldDicts newDicts |
	
	"trim MC ancestory information"
	MCVersionInfo allInstances do: [ :each | each instVarNamed: 'ancestors' put: nil ].
	
	"delete logo"
	(World submorphs detect: [:m | m class = SketchMorph]) delete.
	
	"delete ScriptLoader log"
	ScriptLoader resetLogStream.
	
	"unload all test packages"
	#(Tests CollectionsTests CompilerTests FreeTypeTests GraphicsTests KernelTests MorphicTests MultilingualTests NetworkTests ToolsTest)
		do: [ :each | (MCPackage named: each) unload ].
	
	"unload SUnit"
	Smalltalk at: #TestCase ifPresent: [ :class |
		SystemChangeNotifier uniqueInstance noMoreNotificationsFor: class ].
	#(SUnitGUI SUnit) do: [ :each | (MCPackage named: each) unload ].
	AppRegistry removeObsolete.
	TheWorldMenu removeObsolete.
	
	"shrink method dictionaries."
	Smalltalk garbageCollect.
	oldDicts := MethodDictionary allInstances.
	newDicts := Array new: oldDicts size.
	oldDicts withIndexDo: [:d :index | newDicts at: index put: d rehashWithoutBecome ].
	oldDicts elementsExchangeIdentityWith: newDicts.
	oldDicts := newDicts := nil.
	
	3 timesRepeat: [
		Smalltalk garbageCollect.
		Symbol compactSymbolTable ]! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'marcus.denker 9/4/2009 14:58'!
cleanUpForRelease
	"self new cleanUpForRelease"
	
	Author fullName:  'Mr.Cleaner'.
	DataStream initialize.
	Smalltalk cleanUpUndoCommands.
	GradientFillStyle initPixelRampCache.
	NaturalLanguageFormTranslator classPool at: #CachedTranslations put: nil.
	NaturalLanguageTranslator resetCaches.
	FreeTypeCache clearCurrent.
	PaintBoxMorph classPool	at: #ColorChart put: nil.
	PaintBoxMorph classPool at: #Prototype put: nil.
	ImageMorph classPool at: #DefaultForm put: (Form extent: 1@1 depth: 1).
	Utilities classPool at: #ScrapsBook put: nil.
	Project allInstancesDo: [ :each | each setThumbnail: nil ].
	ScriptingSystem stripGraphicsForExternalRelease.
	Smalltalk forgetDoIts.
	ListParagraph initialize.
	PopUpMenu initialize.
	Behavior flushObsoleteSubclasses.
	CommandHistory resetAllHistory.
	CommandHistory allInstancesDo: #initialize.
	ChangeSorter removeChangeSetsNamedSuchThat: [ :each | true ].
	ChangeSet resetCurrentToNewUnnamedChangeSet.
	MethodChangeRecord allInstancesDo: [ :x | x noteNewMethod: nil ].
	RequiredSelectors initialize.
	ProvidedSelectors initialize.
	LocalSends initialize.
	SendCaches initializeAllInstances.
	Utilities cleanseOtherworldlySteppers.
	Smalltalk organization removeEmptyCategories.
	Browser initialize.
	SystemBrowser removeObsolete.
	TheWorldMenu removeObsolete.
	AppRegistry removeObsolete.
	FileServices removeObsolete. 
	MCFileBasedRepository flushAllCaches.
	MCMethodDefinition shutDown.
	MCDefinition clearInstances.
	ChangeSorter initializeChangeSetCategories.
	NaturalLanguageTranslator resetCaches.
	NaturalLanguageTranslator  classPool at: #AllKnownPhrases put: nil.
	Smalltalk at: #TTFontDescription ifPresent: [ :c | c clearDefault; clearDescriptions ].
	ExternalDropHandler resetRegisteredHandlers.
	Undeclared removeUnreferencedKeys.
	Smalltalk flushClassNameCache.
	ScrollBar initializeImagesCache. 
	FreeTypeFontProvider current initialize.
	NaturalLanguageTranslator classPool at: #AllKnownPhrases put: nil.
	StandardScriptingSystem classPool at: #HelpStrings put: IdentityDictionary new.
	FreeTypeFontProvider current initialize.
	SystemNavigation default allObjectsDo: [ :each |
		(each respondsTo: #releaseCachedState) ifTrue: [ each releaseCachedState ] ].	
	3 timesRepeat: [ Smalltalk garbageCollect. Symbol compactSymbolTable ].
	Set rehashAllSets.
	"Remove empty categories, which are not in MC packages, because MC does
	not do this (this script does not make packages dirty)"	
	Smalltalk organization removeEmptyCategories.
	Smalltalk allClassesAndTraitsDo: [ :class |
		[ :each | each removeEmptyCategories; sortCategories.
			] value: class organization; value: class class organization ].
	self cleanUpChanges.
	Smalltalk garbageCollect.
	Author reset.! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'marcus.denker 11/30/2008 00:40'!
cleanUpMethods
	"Make sure that all methods in use are restarted"

	WeakArray restartFinalizationProcess.
	MethodChangeRecord allInstancesDo:[:x| x noteNewMethod: nil].
	Delay startTimerInterruptWatcher.
	WorldState allInstancesDo:[:ws| ws convertAlarms; convertStepList].
	ExternalDropHandler initialize.
	ScrollBar initializeImagesCache.
	GradientFillStyle initPixelRampCache.
	ProcessBrowser initialize.
	Smalltalk garbageCollect.

	self assert: (CompiledMethod allInstances
	reject:[:cm| cm hasNewPropertyFormat]) isEmpty.! !

!ScriptLoader methodsFor: 'public' stamp: 'AdrianLienhard 1/2/2010 14:10'!
commentForCurrentUpdate
	^'Issue 1433:	ByteSymbol DNU #hasWideCharacterFrom:to:
Issue 1638:	MNU when Package Browser is opened via Method Finder
Issue 1639:	VB-Regex upgrade to latest version
Issue 1728:	FontChooser open leads to an error
Issue 1719:	After running all tests, mac menus for tools and debug are gone'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 6/14/2008 15:32'!
compileNewUpdateMethod
	"Use me to create a new update method with the next update number"
	"self new compileNewUpdateMethod"
	

	self class compile: 
		(self generateNewUpdateMethod)
		classified: 'pharo - updates'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 6/14/2008 15:38'!
compileScriptMethodWithCurrentPackages: aNumber 
	"ScriptLoader new compileScriptMethodWithCurrentPackages: 9999"
	
	self class compile: 
		(self generateScriptTemplateWithCurrentPackages: aNumber)
		classified: 'pharo - scripts'! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 8/22/2008 20:06'!
copyDiffPackagesToPharo
	"Copy the clean packages that may have been loaded by a slice but are not yet in pharo repository"
	"self new copyDiffPackagesToPharo"
	"self new diffPackages"
	

	| s man r |
	s := Set new.
	man := MCWorkingCopy allManagers.
	Transcript show: '=========================================================================';cr.
	Transcript show: self diffPackages ;cr.
	self diffPackages do: 
		[:packName | 
			r := man select: [:package |  packName, '*' match: package ancestry ancestorString].
			r isEmpty ifFalse: [s add: r first]].
	s do: [:wc | 
			self repository storeVersion: wc newVersion.].
		
	! !

!ScriptLoader methodsFor: 'public' stamp: 'al 11/1/2008 19:26'!
copyPackagesFromWaitingFolderToHomeRepository
	"self defaultMCWaitingFolder allFileNames"
	"self new copyPackageFromWaitingFolderToHomeRepository"
	
	| version |
	self waitingFolderMCZFiles do: [:name |
		version := self class defaultMCWaitingFolder versionFromFileNamed: name.
		self repository storeVersion: version]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 3/18/2009 21:13'!
currentChangedPackages
	"self new currentChangedPackages" 
	
	^  self currentPackages select: [:each |
		each needsSaving or: [
			(PackagesBeforeLastLoad includes: each ancestry ancestorString) not ] ]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'al 11/1/2008 19:49'!
currentPackages
	"self new currentPackages" 
	
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies reject: [:each |
		self packagesNotToSavePatternNames
			anySatisfy: [:p | p match: each package name]].
	! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'adrian lienhard 11/7/2008 22:08'!
currentScriptVersionNumber
	^ CurrentScriptVersionNumber! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'DamienCassou 9/8/2009 14:41'!
currentUpdateVersionNumber
	^ CurrentUpdateVersionNumber ifNil: [SystemVersion current highestUpdate]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 5/29/2006 20:52'!
currentVersions
	"ScriptLoader new currentVersions"
	
	| copies |
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	^ copies collect:
		[:ea |  ea ancestry ancestorString ]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'al 11/1/2008 19:49'!
currentVersionsToBeSaved
	"self new currentVersionsToBeSaved"
	
	^ self allCurrentVersions reject: [ :each |
		self packagesNotToSavePatternNames
			anySatisfy: [ :p | p match: each ] ]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 1/13/2009 10:46'!
deletePackage: aString

	| toRemove | 
	toRemove := (MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ]) detect: [:each | each package name = aString].
	MCWorkingCopy registry removeKey: toRemove package.! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 3/18/2009 21:13'!
diffPackages
	"return a list of packages that are new. They can be dirty or not."
	"self new diffPackages"
	 
	| diff |
	diff := Set new.
	self currentVersionsToBeSaved do: [:each |
		(PackagesBeforeLastLoad includes: each) ifFalse: [diff add: each]].
	^ diff
	! !

!ScriptLoader methodsFor: 'public - update' stamp: 'DamienCassou 9/26/2009 12:31'!
doneApplyingChanges
	| comment |
	comment := UIManager default
		multiLineRequest: 'Comment for this update.'
		centerAt: Sensor cursorPoint
		initialAnswer: self commentForCurrentUpdate
		answerHeight: 200.
	comment ifNil: [^ self].
	self class
		compile: ('commentForCurrentUpdate', String cr, '	^''' , comment, '''')
		classified: 'public'.
	
	self class waitingCacheFolder deleteLocalFiles.
	self saveChangedPackagesIntoWaitingFolder.
	self generateScriptAndUpdateMethodForNewVersion.
	self saveLatestScriptLoaderToWaitingFolder.
	
	self inform: 'Update prepared and ready to be verified.'! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'marcus.denker 9/23/2008 18:47'!
fixObsoleteReferences
	"self new fixObsoleteReferences"

	| informee obsoleteBindings obsName realName realClass |
	Preference allInstances do: [:each | 
		informee := each instVarNamed: #changeInformee.
		((informee isKindOf: Behavior)
			and: [informee isObsolete])
			ifTrue: [
				Transcript show: each name; cr.
				each instVarNamed: #changeInformee put: (Smalltalk at: (informee name copyReplaceAll: 'AnObsolete' with: '') asSymbol)]].
 
	CompiledMethod allInstances do: [:method |
		obsoleteBindings := method literals select: [:literal |
			literal isVariableBinding
				and: [literal value isBehavior]
				and: [literal value isObsolete]].
		obsoleteBindings do: [:binding |
			obsName := binding value name.
			Transcript show: obsName; cr.
			realName := obsName copyReplaceAll: 'AnObsolete' with: ''.
			realClass := Smalltalk at: realName asSymbol ifAbsent: [UndefinedObject].
			binding key: binding key value: realClass]].


	Behavior flushObsoleteSubclasses.
	Smalltalk garbageCollect; garbageCollect.
	SystemNavigation default obsoleteBehaviors size > 0
		ifTrue: [SystemNavigation default obsoleteBehaviors inspect]! !

!ScriptLoader methodsFor: 'cleaning' stamp: 'md 8/2/2006 18:12'!
flushCaches

	MCFileBasedRepository flushAllCaches.
	MCDefinition clearInstances.
	Smalltalk garbageCollect.
	
	"Initialization required for tests: strange why this is not a teardwon method"
	SendCaches initializeAllInstances.! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 8/14/2008 16:06'!
generateCS: packageInfo fromUpdate: updateNumber on: st
	
	st nextPutAll:
'"Postscript:
Leave the line above, and replace the rest of this comment by a useful one.
Executable statements should follow this comment, and should
be separated by periods, with no exclamation points (!!!!).
Be sure to put any further comments in double-quotes, like this one."

|repository|
repository := MCHttpRepository
                location: ''http://www.squeaksource.com/Pharo/''
                user: ''''
                password: ''''.
(repository loadVersionFromFileNamed:' .
	st nextPut: $' ; nextPutAll: packageInfo, '.mcz'') load.'; cr.
	st nextPutAll: 'ScriptLoader new update', (updateNumber) asString; nextPutAll: '.' ; cr.
	st nextPutAll: '!!'.
	^ st contents
! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 7/4/2009 12:27'!
generateCompleteFixList
	"generateCompleteFixList"
	| stream |
	stream := (FileStream newFileNamed: 'changes-log.txt').
	[ stream nextPutAll: ScriptLoader new logStream contents ] ensure: [ stream close ]! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'DamienCassou 8/30/2009 14:48'!
generateNewUpdateMethod
	"ScriptLoader new generateNewUpdateMethod"
	
	| str mthName preamble postscript |
	str := ReadWriteStream on: (String new: 1000).
	mthName := 'update', self currentUpdateVersionNumber asString.
	str nextPutAll: mthName ; cr  ; tab.
	str nextPutAll: '"self new ', mthName, '"'; crtab. 
	preamble := UIManager default 
		multiLineRequest: 'Preamble expression'
		centerAt: Sensor cursorPoint
		initialAnswer: ''
		answerHeight: 100.
	preamble isEmptyOrNil ifFalse: [str nextPutAll: preamble; ensureEndsWith: $.; crtab].

	str nextPutAll: 'self withUpdateLog: ' ; nextPut: $'; nextPutAll: self commentForCurrentUpdate ; nextPut: $'; nextPut: $. .
	str crtab.
	str nextPutAll: 'self script' , self currentScriptVersionNumber asString, '.'.
	str crtab.
	postscript := UIManager default
					multiLineRequest: 'Postscript expression'
					centerAt: Sensor cursorPoint
					initialAnswer: ''
					answerHeight: 100. 
	postscript isEmptyOrNil ifFalse: [str nextPutAll: postscript; ensureEndsWith: $.; crtab].
	str nextPutAll: 'self flushCaches.'; cr.
	
	^ str contents! !

!ScriptLoader methodsFor: 'public' stamp: 'adrianLienhard 11/1/2008 23:05'!
generateScriptAndUpdateMethodForNewVersion
	"Use me to generate the script and update method"
	"self new generateScriptAndUpdateMethodForNewVersion"
	
	self compileScriptMethodWithCurrentPackages: self currentScriptVersionNumber.
	self compileNewUpdateMethod.! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 3/21/2009 14:41'!
generateScriptTemplateWithAllCurrentPackages
	"ScriptLoader new generateScriptTemplateWithAllCurrentPackages"
	
	| str |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'scriptXXX' ; cr ; cr ; tab.
	str nextPutAll: '| names|'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	self currentVersionsToBeSaved do: 
		[:each |
			str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: String lf , String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'stephane.ducasse 3/21/2009 18:07'!
generateScriptTemplateWithCurrentPackages: aNumber
	"ScriptLoader new generateScriptTemplateWithCurrentPackages"
	
	| str withoutScriptLoader |
	str := ReadWriteStream on: (String new: 1000).
	str nextPutAll: 'script', aNumber asString ; cr ; cr ; tab.
	str nextPutAll: '| names |'; cr.
	str nextPutAll: 'names := '.
	str nextPut: $'.
	withoutScriptLoader := self currentVersionsToBeSaved.
	withoutScriptLoader
		do: [ :each | str nextPutAll: each ; nextPutAll: '.mcz']
		separatedBy: [str nextPut: Character cr].
	str nextPut: $'; nextPut: Character cr.
	str nextPutAll: 'findTokens: String lf , String cr.

	self loadTogether: names merge: false.'.
	^ str contents! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'al 11/1/2008 18:15'!
getLatestScriptNumber
	"self new getLatestScriptNumber"
	
	| upfroms |
	upfroms := self class selectors select: [:each | 'script*' match: each ].
	upfroms := upfroms collect: [:each | (each asString allButFirst: 6)].
	upfroms := upfroms reject: [:each | '*Log*' match: each ].
	upfroms := upfroms reject: [:each | '*XXX*' match: each ].
	upfroms := upfroms collect: [:each | each asNumber].
	^ upfroms asSortedCollection last
	! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'StephaneDucasse 10/17/2009 12:33'!
getLatestUpdateNumber
	"self new getLatestUpdateNumber"
	
	| upfroms |
	upfroms := self class selectors select: [:each | 'update*' match: each ].
	upfroms := upfroms collect: [:each | [(each asString last: 5) asNumber] on: Error do: [0]].
	^ upfroms asSortedCollection last! !

!ScriptLoader methodsFor: 'accessing' stamp: 'lr 7/10/2009 18:05'!
gofer
	^ Smalltalk at: #Gofer ifAbsent: [ self installGofer; gofer ]! !

!ScriptLoader methodsFor: 'accessing' stamp: 'adrian_lienhard 3/16/2009 21:30'!
inboxRepository
	^ inboxRepository ifNil: [
		inboxRepository :=  (MCHttpRepository new 
			location: 'http://www.squeaksource.com/PharoInbox/';
			user: '';
			password: '')]
	! !

!ScriptLoader methodsFor: 'initialize' stamp: 'stephane.ducasse 3/18/2009 21:13'!
initialize
	super initialize.
	PackagesBeforeLastLoad ifNil: [ PackagesBeforeLastLoad := Set new ]! !

!ScriptLoader methodsFor: 'utils' stamp: 'lr 7/10/2009 18:07'!
installGofer
	"self new installGofer"
	
	self class loadLatestPackage: 'Gofer' from: 'http://source.lukas-renggli.ch/flair'! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 14:46'!
installRepository: aString for: packageName

	(MCWorkingCopy allManagers select: [:each | each package name = packageName])
		first repositoryGroup
		addRepository: (MCHttpRepository new location: aString ; user: '' ; password: '')
		! !

!ScriptLoader methodsFor: 'fixing stream' stamp: 'alain.plantec 2/6/2009 15:49'!
installVersionInfo
	"self new installVersionInfo"

	| highestUpdate newVersion |
	highestUpdate := SystemVersion current highestUpdate.
	(self confirm: 'Reset highest update (' , highestUpdate printString , ')?')
		ifTrue: [SystemVersion current highestUpdate: 0].

	newVersion := UIManager default request: 'New version designation:' translated initialAnswer: '3.9' , highestUpdate printString. 
	SystemVersion newVersion: newVersion.
	
! !

!ScriptLoader methodsFor: 'accessing' stamp: 'dc 3/30/2008 19:50'!
installer
	^ Smalltalk 
		at: #Installer
		ifAbsent: 
			[ self installingInstaller.
			Smalltalk at: #Installer ]! !

!ScriptLoader methodsFor: 'utils' stamp: 'damiencassou 11/27/2008 16:36'!
installingInstaller
	"self new installingInstaller"
	
	| mc  files fileToLoad version |
	mc := Smalltalk at: #MCHttpRepository ifPresent: [:repoClass | repoClass location: 'www.squeaksource.com/Installer' user: 'squeak' password: 'squeak'].
	files := mc readableFileNames asSortedCollection: [:a :b | [(a findBetweenSubStrs: #($.)) allButLast last asInteger > (b findBetweenSubStrs: #($.)) allButLast last asInteger] on: Error do: [:ex | false]].
	fileToLoad := files detect: [ :aFile | aFile beginsWith: 'Installer-Core' ] ifNone: [ nil ].
	version := mc versionFromFileNamed: fileToLoad.
	version workingCopy repositoryGroup addRepository: mc.
	mc creationTemplate: mc asCreationTemplate.
	version load.
	
	^ (Smalltalk at: #Installer)! !

!ScriptLoader methodsFor: 'utils' stamp: 'dc 9/28/2008 18:19'!
installingRBEngine

	"| `@temps |
``@.BeforeStatements.
`f := ImporterFacade forVisualWorks.
`f inModel: `@m.
`f importingContext importMaximum.
`f importNameSpaceFromBinding: `@n.
``@.AfterStatements

->

| `@temps |
``@.BeforeStatements.
ImporterFacade importNameSpaceFromVWBinding: `@n inModel: `@m.
``@.AfterStatements"

	(self universalInstaller) universe install: 'Refactoring Core'! !

!ScriptLoader methodsFor: 'utils' stamp: 'dc 3/30/2008 19:51'!
installingUniverse
	self installer ss
		project: 'XMLSupport';
		install: 'XML-Parser'.
	self installer ss
		project: 'universes';
		install: 'Universes'! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 8/14/2008 16:03'!
latestScriptLoaderPackageIdentificationString
	"ScriptLoader new latestScriptLoaderPackageIdentificationString"
	
	^  self allCurrentVersions detect: [:each | 'ScriptLoader*' match: each ]
	! !

!ScriptLoader methodsFor: 'public - update' stamp: 'StephaneDucasse 9/8/2009 21:52'!
launchUpdate

	Utilities updateFromServer! !

!ScriptLoader methodsFor: 'public' stamp: 'AlexandreBergel 10/23/2008 15:30'!
loadLatestScriptloader
	"self new loadLatestScriptloader"
	
	self class loadLatestPackage: 'ScriptLoader' fromSqueaksource: 'Pharo' ! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 12/8/2005 21:18'!
loadOneAfterTheOther: aCollection merge: aBoolean
	| loader |
	(self newerVersionsIn: aCollection)
		do: [:fn |
			loader := aBoolean
				ifTrue: [ MCVersionMerger new ]
				ifFalse: [ MCVersionLoader new].
			loader addVersion: (self repository loadVersionFromFileNamed: fn).
			aBoolean
				ifTrue: [[loader merge] on: MCMergeResolutionRequest do: [:request |
							request merger conflicts isEmpty
								ifTrue: [request resume: true]
								ifFalse: [request pass]]]
				ifFalse: [loader load]]
  	  	displayingProgress: 'Loading versions...'.
	

! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'adrian_lienhard 2/21/2009 13:40'!
loadOneAfterTheOther: aCollection merge: aBoolean silently: anotherBoolean
	anotherBoolean
		ifTrue: [ 
			[ self loadOneAfterTheOther: aCollection merge: aBoolean ]
				on: ProgressInitiationException do: [:e | e sendNotificationsTo: [ :min :max :curr ] ] ]
		ifFalse: [
			self loadOneAfterTheOther: aCollection merge: aBoolean ]! !

!ScriptLoader methodsFor: 'public' stamp: 'al 11/1/2008 19:24'!
loadPackageFromWaitingFolder
	"self defaultMCWaitingFolder allFileNames"
	"self new loadPackageFromWaitingFolder"
	
	| version |
	self waitingFolderMCZFiles do: [:name |
		version := self class defaultMCWaitingFolder versionFromFileNamed: name.
		version load]! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'michael.rueger 1/13/2009 15:26'!
loadTogether: aCollection merge: aBoolean
	| loader |
	loader := aBoolean
		ifTrue: [ MCVersionMerger new ]
		ifFalse: [ MCVersionLoader new].
	(self newerVersionsIn: aCollection)
		do: [:fn | loader addVersion: (self loadVersionFromFileNamed: fn)]
  	  	displayingProgress: 'Adding versions...'.
	aBoolean
		ifTrue: [[loader merge] on: MCMergeResolutionRequest do: [:request |
					request merger conflicts isEmpty
						ifTrue: [request resume: true]
						ifFalse: [request pass]]]
		ifFalse: [loader hasVersions ifTrue: [loader load]]

! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 5/10/2008 12:41'!
loadTogether: aCollection merge: aBoolean silently: anotherBoolean
	anotherBoolean
		ifTrue: [ 
			[ self loadTogether: aCollection merge: aBoolean ]
				on: ProgressInitiationException do: [:e | e sendNotificationsTo: [ :min :max :curr ] ] ]
		ifFalse: [
			 self loadTogether: aCollection merge: aBoolean ]! !

!ScriptLoader methodsFor: 'private' stamp: 'michael.rueger 1/13/2009 15:25'!
loadVersionFromFileNamed: fn
	| version |
	version := self repository loadVersionFromFileNamed: fn.
	^version
		ifNil: [self inboxRepository loadVersionFromFileNamed: fn]! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 4/4/2008 14:47'!
log: aString

	self logStream cr; nextPutAll: aString ; cr.! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/15/2008 18:30'!
logContents

	^ self logStream contents! !

!ScriptLoader methodsFor: 'log' stamp: 'adrian_lienhard 3/16/2009 21:30'!
logStream
	^ LogStream ifNil: [
		LogStream := ReadWriteStream on: (String new: 1000)]! !

!ScriptLoader methodsFor: 'private' stamp: 'stephane.ducasse 3/18/2009 21:13'!
markPackagesBeforeNewCodeIsLoaded
	"Use this method to keep a log of all the packages that were loaded before loading new code. This will help the system to perform a diff and know after what to publish."
	
	"self new markPackagesBeforeNewCodeIsLoaded"
	
	PackagesBeforeLastLoad := self currentVersionsToBeSaved! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 8/14/2008 14:23'!
mergePackageFromWaitingFolder
	"self defaultMCWaitingFolder allFileNames"
	"self new loadPackageFromWaitingFolder"
	
	| version |
	self waitingFolderMCZFiles
		do: [ :name |
			version := self class defaultMCWaitingFolder  versionFromFileNamed: name.
			version merge.
			]! !

!ScriptLoader methodsFor: 'load primitives' stamp: 'al 10/13/2005 21:44'!
newerVersionsIn: aCollection
	^aCollection reject: [:each |
		MCWorkingCopy allManagers anySatisfy: [:workingcopy |
			workingcopy ancestry ancestorString , '.mcz' = each]].! !

!ScriptLoader methodsFor: 'utils' stamp: 'sd 2/4/2008 16:09'!
openWindow: contents label: aLabel

	StringHolder new 
		contents: contents ;
		openLabel: aLabel! !

!ScriptLoader methodsFor: 'private' stamp: 'adrian_lienhard 11/2/2008 01:27'!
packagesNotToSavePatternNames
	^ #(	'ScriptLoader*'
			'*AST*'
			'*RefactoringEngine*'
			'*Installer*'
			'SLICE*'
			'*OB-*'
			'OmniBrowser*'
		).! !

!ScriptLoader methodsFor: 'public - update' stamp: 'StephaneDucasse 9/8/2009 21:52'!
prepareNewUpdate
	self launchUpdate.
	self loadLatestScriptloader.
	self markPackagesBeforeNewCodeIsLoaded.
	self inform: 'Download update.list file using the script ./getUpdatesList and proceed when done'.
	self checkImageIsUptodate ifFalse: [
		^ self inform: 'Your update.list and your image are not in sync!! Please use a fresh image and download the latest update.list and start over.' ].
	self setUpdateAndScriptVersionNumbers.
	self saveAsNewImageWithCurrentReleaseName.
	self inform: 'The new version number is ' , self currentUpdateVersionNumber asString , '. Ready to apply changes now.', String cr, 'You are now running in image ', (FileDirectory baseNameFor: (FileDirectory default localNameFor: SmalltalkImage current imageName)).! !

!ScriptLoader methodsFor: 'public - update' stamp: 'DamienCassou 10/6/2009 10:07'!
publishChanges
	| username password changescriptname changesetFilename|
	username := UIManager default request: 'Pharo repository login'.
	password := UIManager default requestPassword: 'Pharo repository password'.
	self setToRepositoriesPassword: password to: username.
	
	changescriptname := UIManager default request: 'Changeset name (no space)' initialAnswer: 'WhatAsChanged'.
	changesetFilename := self CSForLastUpdateAndPatchUpdatesList: changescriptname.
	self copyPackagesFromWaitingFolderToHomeRepository.
	self announceOnMailingList.
	self inform: 'All packages have been uploaded to the Pharo repository.
Remaining manual steps:
1) ./upFiles ',changesetFilename,'
2) ./upFiles updates.list
3) Announce new update on mailing list'! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 3/15/2008 17:32'!
removeAllRepositories: aColl
	"self new removeAllRepositories: 
			#('http://source.squeakfoundation.org/inbox/'
			 'http://source.squeakfoundation.org/39a/'
			 'http://source.squeakfoundation.org/Balloon/'
			 'http://source.squeakfoundation.org/Compression/'
			 'http://source.squeakfoundation.org/Graphics/'
			  'http://source.wiresong.ca/mc/')"

	
	MCWorkingCopy allManagers do: [:each | 
		aColl
			do: [:location | 
					each  repositoryGroup removeHTTPRepositoryLocationNamed: location]].
	! !

!ScriptLoader methodsFor: 'utils' stamp: 'StephaneDucasse 10/18/2009 16:06'!
removeScriptMethods
	"self new removeScriptMethods"
	
	((ScriptLoader organization listAtCategoryNamed: 'pharo - scripts') 
		asSortedCollection allButLast) 
			do: [:each | ScriptLoader removeSelector: each].! !

!ScriptLoader methodsFor: 'utils' stamp: 'StephaneDucasse 10/18/2009 16:04'!
removeUpdateMethods

	
	((ScriptLoader organization listAtCategoryNamed: 'pharo - updates') 
		asSortedCollection allButLast) 
			do: [:each | ScriptLoader removeSelector: each].! !

!ScriptLoader methodsFor: 'accessing' stamp: 'adrian_lienhard 3/16/2009 21:41'!
repository
	^ repository ifNil: [
		repository := MCHttpRepository new
			location:  'http://www.squeaksource.com/Pharo';
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/13/2009 15:48'!
repository310
	^ repository310 ifNil: [
		repository310 := MCHttpRepository new
			location:  'http://source.squeakfoundation.org/310';
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/10/2009 20:49'!
repository39
	^ repository39 ifNil: [
		repository39 := MCHttpRepository new
			location:  'http://source.squeakfoundation.org/39a';
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'accessing' stamp: 'adrian_lienhard 3/16/2009 21:42'!
repository: aRepository
	repository := aRepository! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/14/2009 10:32'!
repositoryMC
	^ repositoryMC ifNil: [
		repositoryMC := MCHttpRepository new
			location:  'http://source.wiresong.ca/mc';
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/10/2009 20:49'!
repositorySqueakTrunk
	^ repositorySqueakTrunk ifNil: [
		repositorySqueakTrunk := MCHttpRepository new
			location:  'http://source.squeakfoundation.org/trunk';
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/13/2009 15:59'!
repositoryTaskForces
	^ repositoryTaskForces ifNil: [
		repositoryTaskForces := MCHttpRepository new
			location:  'http://www.squeaksource.com/PharoTaskForces';
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'accessing' stamp: 'StephaneDucasse 9/26/2009 07:47'!
repositoryTreated
	^ repositoryTreated ifNil: [
		repositoryTreated := MCHttpRepository new
			location:  'http://www.squeaksource.com/PharoTreatedInbox';
			user: '';
			password: '']! !

!ScriptLoader methodsFor: 'private' stamp: 'stephane.ducasse 3/18/2009 21:13'!
resetPackagesBeforeLastLoad
	PackagesBeforeLastLoad := Set new! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 5/16/2008 22:11'!
sapphireToPharoRepository
	"self new sapphireToPharoRepository"
	self removeAllRepositories: #('http://www.squeaksource.com/Sapphire/' 			'http://www.squeaksource.com/SapphireInbox/').
	self  addHomeRepositoryToAllPackages.! !

!ScriptLoader methodsFor: 'private' stamp: 'DamienCassou 9/8/2009 14:42'!
saveAsNewImageWithCurrentReleaseName
	|name|
	name := FileDirectory default
				nextNameFor: ('releasePharo-',  self currentUpdateVersionNumber asString)
				extension: FileDirectory imageSuffix.
	name isEmptyOrNil ifFalse: [SmalltalkImage current saveAs: name].! !

!ScriptLoader methodsFor: 'public' stamp: 'al 11/1/2008 18:33'!
saveChangedPackagesIntoWaitingFolder
	self currentChangedPackages do: [:each |
		self
			saveInToReloadCachePackage: each
			with: self commentForCurrentUpdate]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'adrianLienhard 11/2/2008 00:31'!
saveInToReloadCachePackage: aWorkingCopy with: aMessageString
	self
		savePackage: aWorkingCopy
		in: self class defaultMCWaitingFolder
		with: aMessageString! !

!ScriptLoader methodsFor: 'public' stamp: 'stephane.ducasse 8/22/2008 19:58'!
saveLatestScriptLoaderToHome
	"self new saveLatestScriptLoaderToHome"

	| man r |
	man := MCWorkingCopy allManagers.
	r := man select: [:each | 'ScriptLoader*' match: each  package name].
	self repository storeVersion: r first newVersion.! !

!ScriptLoader methodsFor: 'public' stamp: 'adrian_lienhard 11/2/2008 01:32'!
saveLatestScriptLoaderToWaitingFolder
	"self new saveLatestScriptLoaderToWaitingFolder"

	| man r |
	man := MCWorkingCopy allManagers.
	r := man select: [:each | 'ScriptLoader*' match: each  package name].
	self
		saveInToReloadCachePackage: r first
		with: self commentForCurrentUpdate! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'adrianLienhard 11/1/2008 23:48'!
savePackage: aWorkingCopy in: aRepository with: aMessageString
	" | sc |
	  sc := self new.
	  sc savePackage: (self new workingCopyFromPackageName: 'ScriptLoader') 
		in: MCCacheRepository default
		with: 'this is test to automate dirty package saving in cache'"

	aRepository storeVersion: (aWorkingCopy 
		newVersionWithName: aWorkingCopy uniqueVersionName
		message: aMessageString)! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 10/17/2009 18:05'!
script553

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-StephaneDucasse.137.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-StephaneDucasse.432.mcz
KernelTests-StephaneDucasse.157.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-StephaneDucasse.17.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-StephaneDucasse.77.mcz
SUnitGUI-stephane_ducasse.41.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-StephaneDucasse.94.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.24.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.217.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.318.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/18/2009 17:09'!
script554

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.434.mcz
KernelTests-AdrianLienhard.159.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-StephaneDucasse.17.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-StephaneDucasse.77.mcz
SUnitGUI-stephane_ducasse.41.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.97.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.30.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-AdrianLienhard.219.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 10/18/2009 18:08'!
script555

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.434.mcz
KernelTests-AdrianLienhard.159.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-StephaneDucasse.17.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-StephaneDucasse.77.mcz
SUnitGUI-stephane_ducasse.41.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-StephaneDucasse.99.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.30.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-AdrianLienhard.219.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 10/18/2009 18:14'!
script556

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.434.mcz
KernelTests-AdrianLienhard.159.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-StephaneDucasse.17.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-StephaneDucasse.77.mcz
SUnitGUI-stephane_ducasse.41.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-StephaneDucasse.99.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.30.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.220.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 10/18/2009 18:49'!
script557

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.434.mcz
KernelTests-AdrianLienhard.159.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-StephaneDucasse.17.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-StephaneDucasse.77.mcz
SUnitGUI-stephane_ducasse.41.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-StephaneDucasse.102.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.30.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-AdrianLienhard.219.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'StephaneDucasse 10/18/2009 18:52'!
script558

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.434.mcz
KernelTests-AdrianLienhard.159.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-StephaneDucasse.17.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-StephaneDucasse.77.mcz
SUnitGUI-stephane_ducasse.41.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-StephaneDucasse.102.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.30.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/18/2009 19:08'!
script559

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.434.mcz
KernelTests-AdrianLienhard.160.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-StephaneDucasse.17.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-AdrianLienhard.79.mcz
SUnitGUI-stephane_ducasse.41.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.31.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/19/2009 09:51'!
script560

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.435.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.18.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-AdrianLienhard.79.mcz
SUnitGUI-AdrianLienhard.42.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.32.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/19/2009 10:55'!
script561

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.435.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.18.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-AdrianLienhard.80.mcz
SUnitGUI-AdrianLienhard.42.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.32.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/19/2009 12:09'!
script562

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.72.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.435.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.18.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-AdrianLienhard.82.mcz
SUnitGUI-AdrianLienhard.42.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.32.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/19/2009 13:48'!
script563

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.72.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.435.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.18.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-AdrianLienhard.82.mcz
SUnitGUI-AdrianLienhard.42.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.33.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/19/2009 14:19'!
script564

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.72.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.435.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.18.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-AdrianLienhard.82.mcz
SUnitGUI-AdrianLienhard.42.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.34.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/19/2009 14:33'!
script565

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.72.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.435.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.18.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-AdrianLienhard.82.mcz
SUnitGUI-AdrianLienhard.42.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.35.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/19/2009 15:16'!
script566

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.72.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.435.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.18.mcz
Morphic-StephaneDucasse.386.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-StephaneDucasse.85.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-StephaneDucasse.81.mcz
SUnit-AdrianLienhard.82.mcz
SUnitGUI-AdrianLienhard.42.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.35.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/19/2009 15:40'!
script567

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-StephaneDucasse.37.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MarcusDenker.393.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.72.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.436.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.18.mcz
Morphic-AdrianLienhard.388.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-AdrianLienhard.87.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.82.mcz
SUnitGUI-AdrianLienhard.42.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.35.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/19/2009 15:58'!
script568

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.38.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-AdrianLienhard.394.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.72.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.437.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.18.mcz
Morphic-AdrianLienhard.388.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-AdrianLienhard.87.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.82.mcz
SUnitGUI-AdrianLienhard.42.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.35.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/19/2009 16:13'!
script569

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.38.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-AdrianLienhard.394.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.72.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.437.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.18.mcz
Morphic-AdrianLienhard.388.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-AdrianLienhard.87.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.82.mcz
SUnitGUI-AdrianLienhard.42.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.35.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 10/20/2009 13:54'!
script570

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.38.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-AdrianLienhard.394.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.72.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.438.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.21.mcz
Morphic-AdrianLienhard.388.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-AdrianLienhard.87.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.82.mcz
SUnitGUI-AdrianLienhard.42.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-StephaneDucasse.12.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.38.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 11/3/2009 22:29'!
script571

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.38.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-AdrianLienhard.394.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.72.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.438.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.21.mcz
Morphic-AdrianLienhard.388.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-AdrianLienhard.87.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.82.mcz
SUnitGUI-AdrianLienhard.42.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-AdrianLienhard.14.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.103.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.39.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 11/6/2009 21:09'!
script572

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.39.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-AdrianLienhard.394.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.79.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.438.mcz
KernelTests-AdrianLienhard.161.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.21.mcz
Morphic-AdrianLienhard.388.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-AdrianLienhard.87.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.83.mcz
SUnitGUI-AdrianLienhard.43.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-AdrianLienhard.14.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.104.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.39.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 11/6/2009 21:49'!
script573

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.39.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-AdrianLienhard.394.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.79.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.438.mcz
KernelTests-AdrianLienhard.162.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.21.mcz
Morphic-AdrianLienhard.388.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-AdrianLienhard.87.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.83.mcz
SUnitGUI-AdrianLienhard.43.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-AdrianLienhard.14.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.104.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.39.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 11/18/2009 09:57'!
script574

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.39.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.42.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-AdrianLienhard.394.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.79.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-AdrianLienhard.438.mcz
KernelTests-AdrianLienhard.162.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.21.mcz
Morphic-AdrianLienhard.388.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-AdrianLienhard.87.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.83.mcz
SUnitGUI-AdrianLienhard.43.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-AdrianLienhard.14.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.104.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.39.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-StephaneDucasse.221.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MiscFixes 11/19/2009 10:51'!
script575

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.39.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MiscFixes.43.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MiscFixes.395.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-AdrianLienhard.79.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-MiscFixes.439.mcz
KernelTests-AdrianLienhard.162.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.21.mcz
Morphic-MiscFixes.389.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-AdrianLienhard.87.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.83.mcz
SUnitGUI-AdrianLienhard.43.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-AdrianLienhard.14.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.104.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.39.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-MiscFixes.222.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'DamienCassou 12/4/2009 15:46'!
script576

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.39.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MiscFixes.43.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MiscFixes.395.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-DamienCassou.87.mcz
Graphics-StephaneDucasse.135.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-MiscFixes.439.mcz
KernelTests-AdrianLienhard.162.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.21.mcz
Morphic-MiscFixes.389.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-AdrianLienhard.87.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.83.mcz
SUnitGUI-AdrianLienhard.43.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-AdrianLienhard.14.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-AdrianLienhard.104.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.39.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-MiscFixes.222.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 12/6/2009 14:07'!
script577

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.39.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MiscFixes.43.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MiscFixes.395.mcz
Compiler-AdrianLienhard.139.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-StephaneDucasse.463.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-DamienCassou.87.mcz
Graphics-MarcusDenker.136.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-MarcusDenker.440.mcz
KernelTests-AdrianLienhard.162.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.21.mcz
Morphic-MiscFixes.389.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-AdrianLienhard.87.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.83.mcz
SUnitGUI-AdrianLienhard.43.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-AdrianLienhard.14.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-MarcusDenker.105.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.39.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-MiscFixes.222.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 12/9/2009 10:17'!
script578

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.39.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MiscFixes.43.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-StephaneDucasse.14.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MiscFixes.395.mcz
Compiler-MarcusDenker.140.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-MarcusDenker.464.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-DamienCassou.87.mcz
Graphics-MarcusDenker.136.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-MarcusDenker.440.mcz
KernelTests-AdrianLienhard.162.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.21.mcz
Morphic-MarcusDenker.390.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-AdrianLienhard.87.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.83.mcz
SUnitGUI-AdrianLienhard.43.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-AdrianLienhard.14.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-MarcusDenker.105.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.39.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-MiscFixes.222.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'MarcusDenker 12/9/2009 10:59'!
script579

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.39.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-MarcusDenker.44.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-MarcusDenker.15.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MiscFixes.395.mcz
Compiler-MarcusDenker.140.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-MarcusDenker.464.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-DamienCassou.87.mcz
Graphics-MarcusDenker.137.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-MarcusDenker.440.mcz
KernelTests-AdrianLienhard.162.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.21.mcz
Morphic-MarcusDenker.391.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-MarcusDenker.88.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.83.mcz
SUnitGUI-AdrianLienhard.43.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-AdrianLienhard.14.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-MarcusDenker.105.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.39.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-MiscFixes.222.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-StephaneDucasse.33.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'pharo - scripts' stamp: 'AdrianLienhard 1/2/2010 14:10'!
script580

	| names |
names := 'Announcements-adrian_lienhard.22.mcz
Balloon-MarcusDenker.33.mcz
Collections-Abstract-StephaneDucasse.28.mcz
Collections-Arrayed-MarcusDenker.21.mcz
Collections-Sequenceable-AdrianLienhard.39.mcz
Collections-SkipLists-adrian_lienhard.6.mcz
Collections-Stack-stephane_ducasse.3.mcz
Collections-Streams-StephaneDucasse.28.mcz
Collections-Strings-AdrianLienhard.46.mcz
Collections-Support-StephaneDucasse.10.mcz
Collections-Text-MarcusDenker.15.mcz
Collections-Unordered-StephaneDucasse.38.mcz
Collections-Weak-StephaneDucasse.13.mcz
CollectionsTests-MiscFixes.395.mcz
Compiler-MarcusDenker.140.mcz
CompilerTests-AdrianLienhard.25.mcz
Compression-StephaneDucasse.37.mcz
EToys-StephaneDucasse.114.mcz
Exceptions-StephaneDucasse.38.mcz
Files-StephaneDucasse.ducasse.84.mcz
FixUnderscores-stephane_ducasse.17.mcz
FreeType-AdrianLienhard.466.mcz
FreeTypeSubPixelAntiAliasing-stephane_ducasse.18.mcz
FreeTypeTests-tween.1.mcz
Gofer-DamienCassou.87.mcz
Graphics-MarcusDenker.137.mcz
GraphicsTests-StephaneDucasse.20.mcz
HostMenus-StephaneDucasse.31.mcz
Kernel-MarcusDenker.440.mcz
KernelTests-AdrianLienhard.162.mcz
Monticello-StephaneDucasse.400.mcz
MonticelloConfigurations-stephane_ducasse.54.mcz
MonticelloGUI-AdrianLienhard.21.mcz
Morphic-MarcusDenker.391.mcz
MorphicTests-StephaneDucasse.20.mcz
Multilingual-MarcusDenker.88.mcz
MultilingualTests-marcus_denker.denker.5.mcz
Network-Kernel-StephaneDucasse.19.mcz
Network-MIME-marcus_denker.9.mcz
Network-MailSending-StephaneDucasse.4.mcz
Network-Protocols-StephaneDucasse.16.mcz
Network-RFC822-StephaneDucasse.4.mcz
Network-RemoteDirectory-StephaneDucasse.16.mcz
Network-URI-StephaneDucasse.8.mcz
Network-UUID-StephaneDucasse.6.mcz
Network-Url-StephaneDucasse.15.mcz
NetworkTests-StephaneDucasse.16.mcz
PackageInfo-StephaneDucasse.34.mcz
PinesoftEnhancementsForFreetype-marcus_denker.4.mcz
Polymorph-EventEnhancements-StephaneDucasse.6.mcz
Polymorph-Geometry-stephane_ducasse.5.mcz
Polymorph-ToolBuilder-StephaneDucasse.15.mcz
Polymorph-Tools-Diff-StephaneDucasse.30.mcz
Polymorph-Widgets-StephaneDucasse.103.mcz
PreferenceBrowser-StephaneDucasse.45.mcz
ST80-AdrianLienhard.82.mcz
SUnit-AdrianLienhard.83.mcz
SUnitGUI-AdrianLienhard.43.mcz
Services-Base-StephaneDucasse.55.mcz
SplitJoin-adrian_lienhard.37.mcz
System-Applications-marcus_denker.8.mcz
System-Change Notification-marcus_denker.9.mcz
System-Changes-MarcusDenker.15.mcz
System-Clipboard-StephaneDucasse.9.mcz
System-Digital Signatures-StephaneDucasse.5.mcz
System-Download-MikeRoberts.11.mcz
System-FilePackage-AdrianLienhard.14.mcz
System-FileRegistry-stephane_ducasse.6.mcz
System-Finalization-adrian_lienhard.10.mcz
System-Hashing-StephaneDucasse.4.mcz
System-Localization-adrian_lienhard.18.mcz
System-Object Events-sd.2.mcz
System-Object Storage-StephaneDucasse.32.mcz
System-Platforms-stephane_ducasse.4.mcz
System-Pools-sd.2.mcz
System-Serial Port-StephaneDucasse.8.mcz
System-Support-MarcusDenker.105.mcz
System-Tools-StephaneDucasse.12.mcz
Tests-AdrianLienhard.39.mcz
ToolBuilder-Kernel-adrian_lienhard.31.mcz
ToolBuilder-Morphic-adrian_lienhard.44.mcz
ToolBuilder-SUnit-adrian_lienhard.24.mcz
Tools-MiscFixes.222.mcz
ToolsTest-stephane_ducasse.denker.5.mcz
Traits-AdrianLienhard.321.mcz
TrueType-MarcusDenker.14.mcz
VB-Regex-AdrianLienhard.36.mcz'
findTokens: String lf , String cr.

	self loadTogether: names merge: false.! !

!ScriptLoader methodsFor: 'private' stamp: 'adrian_lienhard 3/16/2009 21:43'!
setToRepositoriesPassword: aPassword to: aUser
	"self new setToRepositoriesPassword: '' to: ''"
	
	MCRepositoryGroup instVarNamed: 'default' put: nil. 
	self removeAllRepositories: {self repository locationWithTrailingSlash . self inboxRepository locationWithTrailingSlash}. 
	self repository password: aPassword.
	self repository user: aUser.
	self inboxRepository password: aPassword.
	self inboxRepository user: aUser.
	self addHomeRepositoryToAllPackages! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'adrian lienhard 11/7/2008 22:07'!
setUpdateAndScriptVersionNumbers
	CurrentUpdateVersionNumber := self getLatestUpdateNumber + 1.
	CurrentScriptVersionNumber := self getLatestScriptNumber + 1.! !

!ScriptLoader methodsFor: 'accessing' stamp: 'dc 3/30/2008 19:53'!
universalInstaller
	(Smalltalk at: #UUniverse ifAbsent: [self installingUniverse]).
	^ self installer! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'stephane.ducasse 1/13/2009 10:58'!
unloadPackage: aString
	"self new unloadPackage: 'Sixx'"
	| toRemove | 
	toRemove := (MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ]) detect: [:each | each package name = aString].
	toRemove unload.! !

!ScriptLoader methodsFor: 'fixing stream' stamp: 'stephane.ducasse 2/6/2009 17:36'!
unloadPackageNamed: aString
	"self new workingCopyFromPackageName: 'CollectionExtensions' "
	
	^ (self workingCopyFromPackageName: aString) unload
	! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'sd 7/15/2006 20:39'!
unloadPackages
	"ScriptLoader new unloadPackages"
	
	| copies namesOfpackagesToUnload |
	namesOfpackagesToUnload := self packagesToUnload. 
	copies := MCWorkingCopy allManagers asSortedCollection:
		[ :a :b | a package name <= b package name ].
	(copies select: [:each | namesOfpackagesToUnload anySatisfy: [:ea | ea match: each package name ]])
		do: [:z | z unload].! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 10/17/2009 18:07'!
update10477
	"self new update10477"
	self withUpdateLog: '- Issue 1224:	Avoiding uncessary pop up when compiling a method
- Issue 1044:	MethodContext allInstances loops forever'.
	self script553.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/18/2009 17:10'!
update10478
	"self new update10478"
	self withUpdateLog: 'Issue 1310:	Make all tests green (work in progress)
Issue 818:	MethodContext tempNames wrong implementation or usage for Closure
Issue 1270:	ClassBuilder wrong class format validation
Issue 1317:	Add MethodHighlightingTests back
Tests for ImageSegment (including support for analyzing a segment)'.
	self script554.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 10/18/2009 18:49'!
update10479
	"self new update10479"
	self withUpdateLog: '- simple try to publish in pharo1.0 folder (third try)'.
	self script557.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'StephaneDucasse 10/18/2009 18:52'!
update10480
	"self new update10480"
	self withUpdateLog: '- simple transcript improvements'.
	self script558.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/18/2009 19:09'!
update10481
	"self new update10481"
	self withUpdateLog: '- Issue 1327:	TestRunner should set dummy author when running tests
- Issue 1310:	Make all tests green (work in progress)'.
	self script559.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/19/2009 09:52'!
update10482
	"self new update10482"
	self withUpdateLog: 'Issue 1310:	Make all tests green (done now?)
Issue 1319:	[squeak trunk] Fix MNU #empty while Debugging
Issue 1320:	[squeak trunk] Sort the conflicts. This is required when merging a distant version, like Pharo for example...
Issue 1327:	TestRunner should set dummy author when running tests'.
	self script560.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/19/2009 10:55'!
update10483
	"self new update10483"
	self withUpdateLog: 'Issue 1330:	Better performance for tests'.
	self script561.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/19/2009 12:09'!
update10484
	"self new update10484"
	self withUpdateLog: 'Issue 1330:	Better performance for tests (fix)
Add Gofer to core'.
	self script562.
	
self addHomeRepositoryToAllPackages.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/19/2009 13:48'!
update10485
	"self new update10485"
	self withUpdateLog: 'Fix remaining failing test (sideeffect of loading Gofer)'.
	self script563.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/19/2009 14:19'!
update10486
	"self new update10486"
	self withUpdateLog: '- Mantis 0006347: [FIX] testFinalizationOfEquals fails'.
	self script564.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/19/2009 14:34'!
update10487
	"self new update10487"
	self withUpdateLog: '- expected failure testFinalizationOfEquals'.
	self script565.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/19/2009 15:16'!
update10488
	"self new update10488"
	self withUpdateLog: 'Condense sources'.
	self script566.
	Smalltalk condenseSources.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/19/2009 15:41'!
update10489
	"self new update10489"
	self withUpdateLog: 'Issue 1323:	Input problems'.
	self script567.
	InputEventSensor default startUp.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/19/2009 15:58'!
update10490
	"self new update10490"
	self withUpdateLog: 'Issue 1323:	Input problems (fix)'.
	self script568.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/19/2009 16:14'!
update10491
	"self new update10491"
	self withUpdateLog: 'Switch to 1.1'.
	self script569.
	(self confirm: 'Do you wish to advance to Pharo 1.1 alpha?
[Yes] Your system will be marked as Pharo1.1a (alpha), and you will subsequently receive development updates for 1.1 (alpha stream).
[No] Your system will remain at Pharo 1.0.')
	ifTrue: [SystemVersion newVersion: 'Pharo1.1a'.
			ScriptLoader toPharoOneDotOne.
			SystemVersion current date: '19 October 2009'.
			self inform: 'You may now save this image and retrieve updates again for Pharo1.1-alpha and beyond.']
	ifFalse: [SystemVersion newVersion: 'Pharo1.0rc1'.].
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 10/20/2009 13:55'!
update10492
	"self new update10492"
	self withUpdateLog: '- Issue 1320:	[squeak trunk] Sort the conflicts. This is required when merging a distant version, like Pharo for example...
- Issue 1338:	HostWindowTests>>testOne is failing in Windows
- Issue 1345:	Revert Number class>>readFrom: (was integrated with issue 1258)'.
	self script570.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 11/3/2009 22:30'!
update10493
	"self new update10493"
	self withUpdateLog: '- remove tests that depend on font choice
- Issue 1331:	DNU upon file-in of changeset'.
	self script571.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 11/6/2009 21:13'!
update10494
	"self new update10494"
	self withUpdateLog: '- Issue 1408:	SharedQueue2 doesNotUnderstand: #flushAllSuchThat:
- Issue 1409:	update gofer	
- Issue 1379:	Sometimes my author names ends up being "TestRunner"
- Issue 1345:	Revert Number class>>readFrom: (was integrated with issue 1258): also make the tests reflect the original semantics'.
	self script572.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 11/6/2009 21:49'!
update10495
	"self new update10495"
	self withUpdateLog: '- Issue 1345:	Revert Number class>>readFrom: (was integrated with issue 1258): also make the tests reflect the original semantics'.
	self script573.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 11/18/2009 09:57'!
update10496
	"self new update10496"
	
.
	self withUpdateLog: 'Issue 1446:	SystemVersion for PharoCore 1.0'.
	self script574.
	SystemVersion current version: 'PharoCore1.0rc1'.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 11/19/2009 10:37'!
update10497
	"empty"! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MiscFixes 11/19/2009 10:51'!
update10498
	"self new update10498"
	self withUpdateLog: 'Issue 797:	Pressing key (u grave) on french keyboard -> Error
Issue 1425:	Inspector does not handle correctly isVariable class with inst var
Issue 1291:	Warnings when using the inspector
Issue 1456:	HTTP encoding into UTF8'.
	self script575.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'DamienCassou 12/4/2009 15:46'!
update10499
	"self new update10499"
	self withUpdateLog: 'Updates Gofer and changes its repository from /flair to /gofer.'.
	self script576.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 12/6/2009 14:07'!
update10500
	"self new update10500"
	self withUpdateLog: 'Issue 1497:	Saving preferences to disk gives an error
Issue 1478:	ScriptLoader loadFFI fails with a dependency error
Issue 1437:	Bitmap #decompress:fromByteArray:at: not wellformed
Issue 1536:	Use Bitmap DejaVu as default fonts'.
	self script577.
	Preferences removePreference: #automaticFlapLayout; 
			removePreference: #navigatorOnLeftEdge;
			removePreference: #classicNavigatorEnabled.
			
StrikeFont installDejaVu.
Preferences setDefaultFonts: #(
			     (setBalloonHelpFontTo: 'BitmapDejaVu' 9)
			     (setButtonFontTo: 'BitmapDejaVu' 9)
			     (setCodeFontTo: 'BitmapDejaVu' 9)
			     (setHaloLabelFontTo: 'BitmapDejaVu' 9)
			     (setListFontTo: 'BitmapDejaVu' 9)
			     (setMenuFontTo: 'BitmapDejaVu' 9)
			     (setSystemFontTo: 'BitmapDejaVu' 9)
			     (setWindowTitleFontTo: 'BitmapDejaVuBold' 12)).
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 12/9/2009 10:17'!
update10501
	"self new update10501"
	self withUpdateLog: 'Issue 1562:	Font browser button "Update" does load fonts but font list is not updated
Issue 1559:	BUG: "Error: Instances of UndefinedObject are not indexable" with Interpreter
Issue 1475:	Cancelling from the Unknown Variable prompt, gives error
Issue 1478:	ScriptLoader loadFFI fails with a dependency error
'.
	self script578.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'MarcusDenker 12/9/2009 11:00'!
update10502
	"self new update10502"
	self withUpdateLog: 'Issue 889:	MouseOverHandler send messages to nil
Issue 1136:	DejaVu strinkeFonts render ascii character in WideStrings as black boxes'.
	self script579.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'pharo - updates' stamp: 'AdrianLienhard 1/2/2010 14:11'!
update10503
	"self new update10503"
	self withUpdateLog: 'Issue 1433:	ByteSymbol DNU #hasWideCharacterFrom:to:
Issue 1638:	MNU when Package Browser is opened via Method Finder
Issue 1639:	VB-Regex upgrade to latest version
Issue 1728:	FontChooser open leads to an error
Issue 1719:	After running all tests, mac menus for tools and debug are gone'.
	self script580.
	self flushCaches.
! !

!ScriptLoader methodsFor: 'public' stamp: 'adrianLienhard 11/1/2008 23:09'!
updateUpdatesList: aString
	"ScriptLoader new updateUpdatesList: 'cleanUpMethods'"
	
	| str |
	str := FileDirectory default oldFileNamed: 'updates.list'.
	[	str
			setToEnd;
			cr;
			nextPutAll: self currentUpdateVersionNumber asString;
			nextPutAll: '-Pha-', aString, '.cs' ]
		ensure: [ str close ]! !

!ScriptLoader methodsFor: 'public - update' stamp: 'adrian.lienhard 8/12/2009 22:45'!
verifyNewUpdate
	self repository: self class defaultMCWaitingFolder.
	self class loadLatestPackage: 'ScriptLoader' fromRepository: self repository.
	self perform: ('update', self getLatestUpdateNumber asString) asSymbol.
	
	(self confirm: 'Completed loading the new update. Run all test now?')
		ifTrue: [
			Author fullName: 'tester'.
			Smalltalk at: #TestRunner ifPresent: [ :class |
				class open model runAll ] ]! !

!ScriptLoader methodsFor: 'mc related utils' stamp: 'al 11/1/2008 18:19'!
waitingFolderMCZFiles
	^ self class defaultMCWaitingFolder allFileNames
		reject: [:each | each =  '.DS_Store']! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/24/2008 16:46'!
withUdpateLog: aString
	
	"self deprecated"
	self flag: #toRemove.
	self withUpdateLog: aString! !

!ScriptLoader methodsFor: 'log' stamp: 'sd 3/24/2008 16:45'!
withUpdateLog: aString

	self logStream nextPutAll: ' ------------------------------------------------------' ; cr.
	self logStream nextPutAll: thisContext sender selector asString. 
	self logStream cr; nextPutAll: aString ; cr.! !

!ScriptLoader methodsFor: 'fixing stream' stamp: 'sd 3/24/2008 17:31'!
workingCopyFromPackageName: aString
	"self new workingCopyFromPackageName: '39Deprecated' "
	
	|pa|
	pa := MCPackage named: aString.
	^ pa workingCopy 
	! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'sd 7/8/2006 18:20'!
writeCS: extensionAndNumber forUpdate: updateNumber
	"ScriptLoader new writeCS: '-sd.210' forUpdate: 7037"
	
	self writeCS: extensionAndNumber forUpdate: updateNumber withName: 'changeMe'! !

!ScriptLoader methodsFor: 'generate scripts/methods' stamp: 'md 8/2/2006 18:06'!
writeCS: extensionAndNumber forUpdate: updateNumber withName: aSt
	"ScriptLoader new writeCS: '-md.2929' forUpdate: 7049 withName: 'cleanUpMethods'"
	
	| str |
	str := FileDirectory default forceNewFileNamed:  updateNumber asString, 'update', aSt, '.cs'.
	self generateCS: extensionAndNumber fromUpdate: updateNumber on: str.
	str close.! !

!MCRepositoryGroup methodsFor: '*scriptloader' stamp: 'sd 3/15/2008 17:33'!
removeHTTPRepositoryLocationNamed: aRepositoryString
	
	| httpRepo others |
	httpRepo := repositories select: [:each | each isKindOf: MCHttpRepository]. 
	others := repositories reject: [:each | each isKindOf: MCHttpRepository].
	repositories := others, (httpRepo reject: [:each | each locationWithTrailingSlash = aRepositoryString]).
	self changed: #repositories! !
ScriptLoader initialize!
